#
# spec file for package timelimit
#
# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2018 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           timelimit
Version:        1.9.0
Release:        2.3
License:        BSD-2-Clause
Summary:        Execute a command with a timeout
Url:            http://devel.ringlet.net/sysutils/timelimit
Group:          Development/Tools/Other
Source:         https://devel.ringlet.net/files/sys/timelimit/%{name}-%{version}.tar.xz
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Simple utility to limit a process's absolute execution time. The timelimit
utility executes a command and terminates the spawned process after a given
time with a given signal.  A "warning" signal is sent first, then, after a
timeout, a "kill" signal, similar to the way init(8) operates on shutdown.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
install -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%check
prove -v t

%files
%defattr(-,root,root)
%doc NEWS 
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Nov 26 2018 hpj@urpla.net
- build require xz to make SLE-11 builds happy
* Thu May 17 2018 hpj@urpla.net
- version 1.9.0: initial build
